Skip to main content
`Ctrl`+`K`

# EPSStop

The stopping test to decide the termination of the outer loop of the eigensolver.

## Synopsis

    typedef enum { EPS_STOP_BASIC,
                   EPS_STOP_USER,
                   EPS_STOP_THRESHOLD } EPSStop;

## Values

- `EPS_STOP_BASIC` - default stopping test

- `EPS_STOP_USER` - user-provided stopping test

- `EPS_STOP_THRESHOLD` - threshold stopping test

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetStoppingTest()`, `EPSSetStoppingTestFunction()`

## Level

advanced

## Location

include/slepceps.h

## Examples

src/eps/tutorials/ex5.c
src/eps/tutorials/ex2.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages